package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [UserRoleRes] 对象
 */
public interface IUserRoleRes {

    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [用户角色资源能力标识]
     */
    public void setUserRoleResId(String userRoleResId);
    
    /**
     * 设置 [用户角色资源能力标识]
     */
    public String getUserRoleResId();

    /**
     * 获取 [用户角色资源能力标识]脏标记
     */
    public boolean getUserRoleResIdDirtyFlag();
    /**
     * 获取 [用户角色资源能力名称]
     */
    public void setUserRoleResName(String userRoleResName);
    
    /**
     * 设置 [用户角色资源能力名称]
     */
    public String getUserRoleResName();

    /**
     * 获取 [用户角色资源能力名称]脏标记
     */
    public boolean getUserRoleResNameDirtyFlag();
    /**
     * 获取 [角色名称]
     */
    public void setUserRoleName(String userRoleName);
    
    /**
     * 设置 [角色名称]
     */
    public String getUserRoleName();

    /**
     * 获取 [角色名称]脏标记
     */
    public boolean getUserRoleNameDirtyFlag();
    /**
     * 获取 [资源名称]
     */
    public void setUniResName(String uniResName);
    
    /**
     * 设置 [资源名称]
     */
    public String getUniResName();

    /**
     * 获取 [资源名称]脏标记
     */
    public boolean getUniResNameDirtyFlag();
    /**
     * 获取 [用户角色标识]
     */
    public void setUserRoleId(String userRoleId);
    
    /**
     * 设置 [用户角色标识]
     */
    public String getUserRoleId();

    /**
     * 获取 [用户角色标识]脏标记
     */
    public boolean getUserRoleIdDirtyFlag();
    /**
     * 获取 [统一资源标识]
     */
    public void setUniResId(String uniResId);
    
    /**
     * 设置 [统一资源标识]
     */
    public String getUniResId();

    /**
     * 获取 [统一资源标识]脏标记
     */
    public boolean getUniResIdDirtyFlag();
}
